/**
Uses theme `_base.css` from: https://github.com/oqo0/swagger-themes/blob/main/SwaggerThemes/Themes/_base.css
Swagger theme link on GitHub: https://github.com/oqo0/swagger-themes
 */
:root {
    /* primary colors */
    --swagger-color: #ebf29f;
    --swagger-code-color: #ebf29f;
    --link-color: #ebf29f;
    --link-focus-color: #d8e645;
    --accept-header-color: #d8e645;
    --general-text-color: #070310;
    /* methods colors */
    --post-method-color: #5bdc3e;
    --post-method-text-color: #070310;
    --post-method-background-color: rgba(0, 0, 0, 0);
    --get-method-color: #51e3cb;
    --get-method-text-color: #070310;
    --get-method-background-color: rgba(0, 0, 0, 0);
    --head-method-color: #F87FBD;
    --head-method-background-color: rgba(0, 0, 0, 0);
    --put-method-color: #e0a44e;
    --put-method-background-color: rgba(0, 0, 0, 0);
    --delete-method-color: #9680FF;
    --delete-method-background-color: rgba(0, 0, 0, 0);
    --options-method-color: #4091e1;
    --options-method-background-color: rgba(0, 0, 0, 0);
    --patch-method-color: #e5b226;
    --patch-method-background-color: rgba(0, 0, 0, 0);
    /* background */
    --all-bg-color: #070310;
    --secondary-bg-color: #1e182c;
    --header-bg-color: #31264a;
    --block-bg-color: #3a2f53;
    --selecter-bg-color: #514174;
    /* text */
    --primary-text-color: #ffffff;
    --secondary-text-color: #c1c0c0;
    --tertiary-text-color: #a8a6a6;
    /* border */
    --block-border-color: rgba(255, 255, 255, 0.08);
    --block-border-radius: 12px;
    --innner-block-border-radius: 8px;
    /* icons */
    --primary-icon-color: #ffffff;
    --icons-opacity: 0;
    --secondary-icon-opacity: 0.6;
    --black-icons-filter: invert(1);
}
@media (prefers-color-scheme: dark) {
    .swagger-ui .info {
        margin: var(--luna-adminbar-height, 50px) 0;
    }
    .swagger-ui .json-schema-2020-12-property .json-schema-2020-12__title,
    .swagger-ui .json-schema-2020-12__title,
    .swagger-ui .json-schema-2020-12-keyword--enum .json-schema-2020-12-json-viewer__name,
    .swagger-ui .json-schema-2020-12-keyword--enum .json-schema-2020-12-json-viewer__value,
    .swagger-ui .json-schema-2020-12-keyword--examples .json-schema-2020-12-json-viewer__name,
    .swagger-ui .json-schema-2020-12-keyword--examples .json-schema-2020-12-json-viewer__value,
    .swagger-ui .json-schema-2020-12-json-viewer__name--secondary,
    .swagger-ui .json-schema-2020-12-json-viewer__value--secondary,
    .swagger-ui .json-schema-2020-12-keyword__name--primary,
    .swagger-ui .json-schema-2020-12-json-viewer__value,
    .swagger-ui .json-schema-2020-12__attribute--primary,
    .swagger-ui .json-schema-2020-12__attribute {
        color: unset !important;
    }
    .swagger-ui .info .title small pre {
        color: var(--general-text-color);
    }
    .swagger-ui .markdown code,
    .swagger-ui .renderedMarkdown code {
        color: var(--swagger-code-color);
    }
    /* primary colors */
    .swagger-ui .topbar .download-url-wrapper .select-label select {
        border: 2px solid var(--swagger-color);
    }
    .swagger-ui .info .title small.version-stamp {
        background-color: var(--swagger-color);
    }
    .swagger-ui a.nostyle,
    .swagger-ui a.nostyle:visited,
    .swagger-ui .info a,
    .swagger-ui .link:link {
        color: var(--link-color);
    }
    .swagger-ui a.nostyle:hover,
    .swagger-ui a.nostyle:visited:hover,
    .swagger-ui .info a:hover,
    .swagger-ui .link:link:hover,
    .swagger-ui a.nostyle:focus,
    .swagger-ui a.nostyle:visited:focus,
    .swagger-ui .info a:focus,
    .swagger-ui .link:link:focus {
        color: var(--link-focus-color);
    }
    .swagger-ui .response-control-media-type--accept-controller select {
        border-color: var(--accept-header-color);
    }
    .swagger-ui .response-control-media-type__accept-message {
        color: var(--accept-header-color);
    }
    .swagger-ui .btn.authorize {
        color: var(--swagger-color);
    }
    .swagger-ui .btn.authorize {
        border-color: var(--swagger-color);
    }
    .swagger-ui .btn.authorize svg {
        fill: var(--swagger-color);
    }
    /* methods colors */
    /* http post */
    .swagger-ui .opblock.opblock-post .opblock-summary-method {
        background: var(--post-method-color);
        color: var(--post-method-text-color);
    }
    .swagger-ui .opblock.opblock-post .opblock-summary {
        border-color: var(--post-method-color);
    }
    .swagger-ui .opblock.opblock-post {
        background: var(--post-method-background-color);
        border-color: var(--post-method-color);
    }
    .swagger-ui .opblock.opblock-post .tab-header .tab-item.active h4 span::after {
        background: var(--post-method-color);
    }
    /* http get */
    .swagger-ui .opblock.opblock-get .opblock-summary-method {
        background: var(--get-method-color);
        color: var(--get-method-text-color);
    }
    .swagger-ui .opblock.opblock-get .opblock-summary {
        border-color: var(--get-method-color);
    }
    .swagger-ui .opblock.opblock-get {
        background: var(--get-method-background-color);
        border-color: var(--get-method-color);
    }
    .swagger-ui .opblock.opblock-get .tab-header .tab-item.active h4 span::after {
        background: var(--get-method-color);
    }
    /* http head */
    .swagger-ui .opblock.opblock-head .opblock-summary-method {
        background: var(--head-method-color);
    }
    .swagger-ui .opblock.opblock-head .opblock-summary {
        border-color: var(--head-method-color);
    }
    .swagger-ui .opblock.opblock-head {
        background: var(--head-method-background-color);
        border-color: var(--head-method-color);
    }
    .swagger-ui .opblock.opblock-head .tab-header .tab-item.active h4 span::after {
        background: var(--head-method-color);
    }
    /* http put */
    .swagger-ui .opblock.opblock-put .opblock-summary-method {
        background: var(--put-method-color);
    }
    .swagger-ui .opblock.opblock-put .opblock-summary {
        border-color: var(--put-method-color);
    }
    .swagger-ui .opblock.opblock-put {
        background: var(--put-method-background-color);
        border-color: var(--put-method-color);
    }
    .swagger-ui .opblock.opblock-put .tab-header .tab-item.active h4 span::after {
        background: var(--put-method-color);
    }
    /* http delete */
    .swagger-ui .opblock.opblock-delete .opblock-summary-method {
        background: var(--delete-method-color);
    }
    .swagger-ui .opblock.opblock-delete .opblock-summary {
        border-color: var(--delete-method-color);
    }
    .swagger-ui .opblock.opblock-delete {
        background: var(--delete-method-background-color);
        border-color: var(--delete-method-color);
    }
    .swagger-ui .opblock.opblock-delete .tab-header .tab-item.active h4 span::after {
        background: var(--delete-method-color);
    }
    /* http options */
    .swagger-ui .opblock.opblock-options .opblock-summary-method {
        background: var(--options-method-color);
    }
    .swagger-ui .opblock.opblock-options .opblock-summary {
        border-color: var(--options-method-color);
    }
    .swagger-ui .opblock.opblock-options {
        background: var(--options-method-background-color);
        border-color: var(--options-method-color);
    }
    .swagger-ui .opblock.opblock-options .tab-header .tab-item.active h4 span::after {
        background: var(--options-method-color);
    }
    /* http patch */
    .swagger-ui .opblock.opblock-patch .opblock-summary-method {
        background: var(--patch-method-color);
    }
    .swagger-ui .opblock.opblock-patchs .opblock-summary {
        border-color: var(--patch-method-color);
    }
    .swagger-ui .opblock.opblock-patch {
        background: var(--patch-method-background-color);
        border-color: var(--patch-method-color);
    }
    .swagger-ui .opblock.opblock-patch .tab-header .tab-item.active h4 span::after {
        background: var(--patch-method-color);
    }
    /* blocks */
    body {
        background-color: var(--all-bg-color);
        color: white;
    }
    .swagger-ui .topbar {
        background-color: var(--header-bg-color);
    }
    .swagger-ui .scheme-container {
        background: var(--secondary-bg-color);
    }
    .swagger-ui section.models .model-container {
        background: var(--secondary-bg-color);
        border-radius: var(--innner-block-border-radius);
    }
    .swagger-ui select {
        background: var(--selecter-bg-color);
        border-radius: var(--block-border-radius);
        color: var(--primary-text-color);
    }
    .swagger-ui section.models {
        border: 1px solid var(--block-border-color);
        background-color: var(--block-bg-color);
    }
    .swagger-ui .opblock .opblock-section-header {
        background: var(--secondary-bg-color);
    }
    .swagger-ui .body-param__example {
        background-color: var(--secondary-bg-color) !important;
        border-radius: var(--block-border-radius) !important;
    }
    .swagger-ui .example {
        background-color: var(--secondary-bg-color) !important;
        border-radius: var(--block-border-radius) !important;
    }
    .swagger-ui .copy-to-clipboard {
        background: rgba(255, 255, 255, var(--icons-opacity));
        border-radius: var(--block-border-radius);
    }
    .swagger-ui .opblock .opblock-summary-method {
        border-radius: var(--innner-block-border-radius);
    }
    .swagger-ui input[type="email"],
    .swagger-ui input[type="file"],
    .swagger-ui input[type="password"],
    .swagger-ui input[type="search"],
    .swagger-ui input[type="text"],
    .swagger-ui textarea {
        background: var(--secondary-bg-color);
        border: 1px solid var(--block-border-color);
        border-radius: var(--block-border-radius);
        color: var(--primary-text-color);
        outline: none;
    }
    .swagger-ui .dialog-ux .modal-ux-header {
        border-bottom: 1px solid var(--block-border-color);
    }
    .swagger-ui .btn {
        border: 2px solid var(--block-border-color);
        border-radius: var(--block-border-radius);
        color: var(--primary-text-color);
    }
    .swagger-ui .dialog-ux .modal-ux {
        background: var(--block-bg-color);
        border: 1px solid var(--block-border-color);
        border-radius: var(--block-border-radius);
    }
    .swagger-ui .auth-btn-wrapper {
        justify-content: left;
    }
    .swagger-ui .opblock-tag {
        border-bottom: 1px solid var(--block-border-color);
    }
    .swagger-ui .opblock-tag small {
        color: var(--secondary-text-color);
    }
    .swagger-ui section.models.is-open h4 {
        border-bottom: 1px solid var(--block-border-color);
    }
    .swagger-ui .opblock,
    .swagger-ui section.models {
        border-radius: var(--block-border-radius);
    }
    /* button white outline fix */
    .swagger-ui .model-box-control:focus,
    .swagger-ui .models-control:focus,
    .swagger-ui .opblock-summary-control:focus {
        outline: none;
    }
    /* icons */
    .swagger-ui .model-toggle::after {
        opacity: var(--icons-opacity);
        filter: var(--black-icons-filter);
    }
    .swagger-ui .opblock-summary-control svg:not(:root) {
        opacity: var(--secondary-icon-opacity);
    }
    /* text */
    .swagger-ui,
    .swagger-ui .info .title,
    .swagger-ui a.nostyle,
    .swagger-ui .model-title,
    .swagger-ui .models-control,
    .swagger-ui .dialog-ux .modal-ux-header h3,
    .swagger-ui .dialog-ux .modal-ux-content h4,
    .swagger-ui ol,
    .swagger-ui label,
    .swagger-ui .opblock .opblock-section-header h4,
    .swagger-ui .tab li button.tablinks,
    .swagger-ui .opblock-description-wrapper p,
    .swagger-ui .opblock-external-docs-wrapper p,
    .swagger-ui .opblock-title_normal p,
    .swagger-ui .response-col_status,
    .swagger-ui .response-col_links,
    .swagger-ui .parameter__name,
    .swagger-ui svg:not(:root) {
        color: var(--primary-text-color);
    }
    .swagger-ui svg:not(:root) {
        fill: var(--primary-text-color);
    }
    .swagger-ui h3,
    .swagger-ui h4 {
        color: var(--primary-text-color) !important;
    }
    .swagger-ui h5,
    .opblock-summary-description,
    .swagger-ui .response-col_description .json-schema-2020-12-accordion__children {
        color: var(--secondary-text-color) !important;
    }
    .swagger-ui .info li,
    .swagger-ui .info p,
    .swagger-ui .info table,
    .swagger-ui .model,
    .swagger-ui .parameter__type,
    .swagger-ui .prop-format,
    .swagger-ui .dialog-ux .modal-ux-content p {
        color: var(--secondary-text-color);
    }
    .swagger-ui table thead tr td,
    .swagger-ui table thead tr th {
        border-bottom: 1px solid var(--block-border-color);
        color: var(--primary-text-color);
    }
    .swagger-ui .prop-type,
    .swagger-ui .response-col_description .json-schema-2020-12-expand-deep-button {
        color: var(--swagger-color);
    }
    .swagger-ui .model .property.primitive {
        color: var(--tertiary-text-color);
    }
    .swagger-ui button {
        background-color: var(--swagger-color);
        padding: 4px 8px !important;
        border-radius: 8px !important;
    }
    .swagger-ui .models .json-schema-2020-12-expand-deep-button {
        color: var(--block-bg-color) !important;
        margin-left: 4px;
    }
    .swagger-ui section.models .model-box:has(.model-box) {
        overflow-x: hidden;
    }
}